%define fname gtkspell
%define major 0
%define gmajor 3.0
%define libname %mklibname %{name}_ %major
%define develname %mklibname -d %name
%define girname %mklibname %{name}-gir %{gmajor}

Name:           gtkspell3
Version:        3.0.4
Release:        %mkrel 2
Summary:        On-the-fly spell checking for GtkTextView widgets
Group:		System/Libraries

License:        GPLv2+
URL:            http://gtkspell.sourceforge.net/
Source0:        http://downloads.sourceforge.net/gtkspell/gtkspell3-%{version}.tar.gz
BuildRequires:  enchant-devel
BuildRequires:  gettext
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk+3-devel
BuildRequires:  intltool
BuildRequires:  vala-devel
BuildRequires:  vala-tools

%description
GtkSpell provides word-processor-style highlighting and replacement of
misspelled words in a GtkTextView widget as you type. Right-clicking a
misspelled word pops up a menu of suggested replacements.

%package        -n %libname
Summary:        Development files for %{name}
Group:		System/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:	%{_lib}gtkspell3_3 < 3.0.2-2

%description -n %libname
The %{libname} package contains libraries for applications that use
GtkSpell API version 3.0.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{libname} < 3.0.2-4

%description -n %{girname}
GObject Introspection interface description for %{name}.

%package        -n %develname
Summary:        Development files for %{name}
Group:		Development/GNOME and GTK+
Requires:       %{libname} = %{version}-%{release}

%description -n %develname
The %{develname} package contains libraries and header files for
developing applications that use GtkSpell API version 3.0.

%prep
%setup -q
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
  --disable-static \
  --enable-vala \
  --enable-introspection=yes
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang gtkspell3

%files -f gtkspell3.lang
%doc AUTHORS README

%files -n %libname
%{_libdir}/libgtkspell3-3.so.%{major}
%{_libdir}/libgtkspell3-3.so.%{major}.*

%files -n %girname
%{_libdir}/girepository-1.0/GtkSpell-%{gmajor}.typelib

%files -n %develname
%doc %{_datadir}/gtk-doc/
%{_includedir}/gtkspell-3.0/
%{_libdir}/libgtkspell3-3.so
%{_libdir}/pkgconfig/gtkspell3-3.0.pc
%{_datadir}/gir-1.0/GtkSpell-3.0.gir
%{_datadir}/vala/vapi/gtkspell3-3.0.vapi
%{_datadir}/vala/vapi/gtkspell3-3.0.deps


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 3.0.4-2.mga4
+ Revision: 541350
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 mitya <mitya> 3.0.4-1.mga4
+ Revision: 495647
- New version 3.0.4

* Wed Jun 12 2013 tv <tv> 3.0.3-1.mga4
+ Revision: 442106
- drop merged patch
- new release

* Thu May 30 2013 wally <wally> 3.0.2-4.mga4
+ Revision: 433452
- split out gir typelib
- add patch from upstream (via Gentoo) to fix build with new gobject-introspection

* Sat May 25 2013 fwang <fwang> 3.0.2-3.mga4
+ Revision: 426925
- drop unneeded obsoletes

* Sat May 25 2013 fwang <fwang> 3.0.2-2.mga4
+ Revision: 426908
- correct libname
- bump rel
- rework spec

* Fri May 24 2013 tv <tv> 3.0.2-1.mga4
+ Revision: 426282
- imported package gtkspell3


* Fri May 24 2013 Thierry Vignaud <tv@mageia.org> 3.0.2-1.mga4
- initial release
